> ## Documentation Index
> Fetch the complete documentation index at: https://docs.amazonomics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List digests



## OpenAPI

````yaml /api-reference/openapi.json get /v1/tracked-keywords/digests
openapi: 3.0.0
info:
  title: Amazonomics API
  version: 0.0.1
  description: The Amazonomics REST API. All endpoints need an API key.
servers:
  - url: https://api.amazonomics.com
security:
  - bearerAuth: []
paths:
  /v1/tracked-keywords/digests:
    get:
      tags:
        - TrackedKeywords
      summary: List digests
      parameters:
        - schema:
            type: string
            enum:
              - 'true'
              - 'false'
          required: false
          name: unread_only
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 200
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
          required: false
          name: offset
          in: query
      responses:
        '200':
          description: Past digests for the active (user, org).
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/DigestSummary'
                  pagination:
                    type: object
                    nullable: true
                    properties:
                      limit:
                        type: integer
                      offset:
                        type: integer
                      total_count:
                        type: integer
                      has_next:
                        type: boolean
                    required:
                      - limit
                      - offset
                      - total_count
                      - has_next
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - pagination
                  - error
        '400':
          description: Missing organization context.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
                  pagination:
                    nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - pagination
                  - error
        '401':
          description: Unauthorized.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
                  pagination:
                    nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - pagination
                  - error
        '500':
          description: Internal server error.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    nullable: true
                  pagination:
                    nullable: true
                  error:
                    type: object
                    nullable: true
                    properties:
                      code:
                        type: string
                      message:
                        type: string
                      hint:
                        type: string
                      docs:
                        type: string
                    required:
                      - code
                      - message
                required:
                  - data
                  - pagination
                  - error
components:
  schemas:
    DigestSummary:
      type: object
      properties:
        id:
          type: string
          format: uuid
        created_at:
          type: string
        period_type:
          type: string
          enum:
            - M
        period_key:
          type: string
        tracked_count:
          type: integer
        priority_hit_count:
          type: integer
        improver_count:
          type: integer
        decliner_count:
          type: integer
        is_read:
          type: boolean
        read_at:
          type: string
          nullable: true
        emailed_at:
          type: string
          nullable: true
      required:
        - id
        - created_at
        - period_type
        - period_key
        - tracked_count
        - priority_hit_count
        - improver_count
        - decliner_count
        - is_read
        - read_at
        - emailed_at
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````